Name:           maven-plugin-exec
Version:        1.2.1
Release:        2%{?dist}
Summary:        Exec Maven Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://mojo.codehaus.org/exec-maven-plugin
Source0:        http://repo1.maven.org/maven2/org/codehaus/mojo/exec-maven-plugin/1.2.1/exec-maven-plugin-1.2.1-source-release.zip
Patch0:         add_compat.patch
BuildArch: noarch

BuildRequires: maven
BuildRequires: plexus-utils
BuildRequires: plexus-container-default
BuildRequires: maven-shared-plugin-testing-harness
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-plugin-cobertura
BuildRequires: mojo-signatures
BuildRequires: maven-invoker-plugin
BuildRequires: apache-commons-exec
Requires: maven
Requires: plexus-utils
Requires: plexus-container-default
Requires: maven-shared-plugin-testing-harness
Requires: apache-commons-exec

%description
A plugin to allow execution of system and Java programs

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n exec-maven-plugin-%{version}
%patch0

sed -i "s|java14|java15|g" pom.xml

#there is nothing under MIT license
rm -f LICENSE.txt

%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        package javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -m 644 target/exec-maven-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 6 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2.1-1
- Update to latest upstream.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 11 2009 Alexander Kurtakov <akurtako@gmail.com> 1.1-1
- Initial package.
